SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001366SiT!incidentspublic2010-07-17 01:582010-07-21 21:29
Reportereckes 
Assigned ToTomse 
PrioritylowSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.61 LTS 
Target Version3.62 LTSFixed in Version3.62 LTS 
Summary0001366: Typo in Link Title
DescriptionOn the Incidents Details Popup there is a Link to the Contract Details, but the tooltip show "Contact", see attached patch:

--- incident_details.php~ 2010-05-29 14:42:39.000000000 +0200
+++ incident_details.php 2010-07-17 02:38:33.000000000 +0200
@@ -201,13 +201,13 @@
 echo priority_icon($incident->priority)." ".priority_name($incident->priority);
 if ($product_name!='')
 {
- echo " <a href='contract_details.php?id={$incident->maintenanceid}' title='{$strContactDetails}' target='top.opener'>";
+ echo " <a href='contract_details.php?id={$incident->maintenanceid}' title='{$strContractDetails}' target='top.opener'>";
     echo "{$product_name}";
     echo "</a>";
 }
 elseif ($incident->maintenanceid > 0)
 {
- echo "<a href='contract_details.php?id={$incident->maintenanceid}' title='{$strContactDetails}' target='top.opener'>";
+ echo "<a href='contract_details.php?id={$incident->maintenanceid}' title='{$strContractDetails}' target='top.opener'>";
     echo "{$strContract} {$incident->maintenanceid}";
     echo "</a>";
 }
Steps To ReproduceView Incident Details and hover over Contract/Product Name on upper right header
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
User avatar (0003303)
ivan (administrator)
2010-07-17 09:18

Thanks for the bug report, I can confirm this one. That must have been like that for a while, well spotted!
User avatar (0003305)
Tomse (developer)
2010-07-17 09:45

Fixed in git b8d6303
fixed in svn 6576
User avatar (0003315)
ivan (administrator)
2010-07-18 15:05

Released in v3.62

- Issue History
Date Modified Username Field Change
2010-07-17 01:58 eckes New Issue
2010-07-17 09:18 ivan Note Added: 0003303
2010-07-17 09:18 ivan Status new => confirmed
2010-07-17 09:44 Tomse Target Version => 3.62 LTS
2010-07-17 09:44 Tomse Status confirmed => assigned
2010-07-17 09:44 Tomse Assigned To => Tomse
2010-07-17 09:45 Tomse Note Added: 0003305
2010-07-17 09:45 Tomse Status assigned => resolved
2010-07-17 09:45 Tomse Fixed in Version => Current SVN
2010-07-17 09:45 Tomse Resolution open => fixed
2010-07-18 15:05 ivan Note Added: 0003315
2010-07-18 15:05 ivan Status resolved => closed
2010-07-21 21:29 ivan Fixed in Version Current SVN => 3.62 LTS


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker